package com.qmth.xjtu.auth;

import com.qmth.boot.core.security.model.AccessEntity;
import com.qmth.boot.core.security.service.AuthorizationService;
import com.qmth.boot.tools.signature.SignatureType;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Component
public class XjtuAuthenticationService implements AuthorizationService {
    private final static Logger log = LoggerFactory.getLogger(XjtuAuthenticationService.class);

    @Override
    public AccessEntity findByIdentity(String identity, SignatureType signatureType, String path) {
        return new XjuSession(identity, SignatureType.TOKEN);
    }

    @Override
    public boolean hasPermission(AccessEntity accessEntity, String path) {
        return true;
    }

    /**
     * 鉴权尾公用
     *
     * @param userId
     * @param type
     * @param path
     * @param request
     * @param response
     * @return
     */
    public boolean authFootCommon(Long userId,
                                  String type,
                                  String path,
                                  HttpServletRequest request,
                                  HttpServletResponse response) {

//        if (Objects.nonNull(authBean.getSchool())) {
//            authInfoService.appHasExpired(authBean.getSchool().getCode());
//        }
        return true;
    }
}
